| LicenseSpring C++ SDK 7.27.0 Easily add Software Licensing to your application

Public Attributes | List of all members
LSExtendedOptions Struct Reference

`#include <LicenseSpring/C-interface/ExtendedOptions.h>`

## Public Attributes
void * | inner
void(* | setLicenseFilePath )(struct LSExtendedOptions *self, const wchar_t *filePath)
const wchar_t *(* | getLicenseFilePath )(struct LSExtendedOptions *self)
void(* | setHardwareID )(struct LSExtendedOptions *self, const char *ID)
const char *(* | getHardwareID )(struct LSExtendedOptions *self)
void(* | collectNetworkInfo )(struct LSExtendedOptions *self, bool collect)
bool(* | isCollectNetworkInfoEnabled )(struct LSExtendedOptions *self)
void(* | enableLogging )(struct LSExtendedOptions *self, bool enable)
bool(* | isLoggingEnabled )(struct LSExtendedOptions *self)
void(* | enableVMDetection )(struct LSExtendedOptions *self, bool enable)
bool(* | isVMDetectionEnabled )(struct LSExtendedOptions *self)
void(* | enableGuardFile )(struct LSExtendedOptions *self, bool enable)
bool(* | isGuardFileEnabled )(struct LSExtendedOptions *self)
void(* | enableSSLCheck )(struct LSExtendedOptions *self, bool enable)
bool(* | isSSLCheckEnabled )(struct LSExtendedOptions *self)
void(* | setUseNativeTLS )(struct LSExtendedOptions *self, bool enable)
bool(* | isNativeTLSEnabled )(struct LSExtendedOptions *self)
void(* | setGracePeriod )(struct LSExtendedOptions *self, uint32_t value)
uint32_t(* | getGracePeriod )(struct LSExtendedOptions *self)
void(* | setNetworkTimeout )(struct LSExtendedOptions *self, long timeout)
long(* | getNetworkTimeout )(struct LSExtendedOptions *self)
void(* | setProxySettings )(struct LSExtendedOptions *self, const struct LSProxySettings *settings)
const struct LSProxySettings *(* | getProxySettings )(struct LSExtendedOptions *self)
void(* | setAlternateServiceURL )(struct LSExtendedOptions *self, const char *URL)
const char *(* | getAlternateServiceURL )(struct LSExtendedOptions *self)
void(* | setAlternateKey )(struct LSExtendedOptions *self, const char *key)
void(* | setAlternateKeyInt )(struct LSExtendedOptions *self, int32_t *key, int32_t size)
enum DeviceIDAlgorithm(* | getDeviceIdAlgorithm )(struct LSExtendedOptions *self)
void(* | setDeviceIdAlgorithm )(struct LSExtendedOptions *self, enum DeviceIDAlgorithm algorithm)

## Detailed Description

Definition at line 39 of file ExtendedOptions.h.

## Member Data Documentation

## ◆ inner

void* LSExtendedOptions::inner

Definition at line 41 of file ExtendedOptions.h.

## ◆ setLicenseFilePath

void( * LSExtendedOptions::setLicenseFilePath) (struct LSExtendedOptions *self, const wchar_t *filePath)

Definition at line 43 of file ExtendedOptions.h.

## ◆ getLicenseFilePath

const wchar_t*( * LSExtendedOptions::getLicenseFilePath) (struct LSExtendedOptions *self)

Definition at line 45 of file ExtendedOptions.h.

## ◆ setHardwareID

void( * LSExtendedOptions::setHardwareID) (struct LSExtendedOptions *self, const char *ID)

Definition at line 47 of file ExtendedOptions.h.

## ◆ getHardwareID

const char*( * LSExtendedOptions::getHardwareID) (struct LSExtendedOptions *self)

Definition at line 49 of file ExtendedOptions.h.

## ◆ collectNetworkInfo

void( * LSExtendedOptions::collectNetworkInfo) (struct LSExtendedOptions *self, bool collect)

Definition at line 51 of file ExtendedOptions.h.

## ◆ isCollectNetworkInfoEnabled

bool( * LSExtendedOptions::isCollectNetworkInfoEnabled) (struct LSExtendedOptions *self)

Definition at line 53 of file ExtendedOptions.h.

## ◆ enableLogging

void( * LSExtendedOptions::enableLogging) (struct LSExtendedOptions *self, bool enable)

Definition at line 55 of file ExtendedOptions.h.

## ◆ isLoggingEnabled

bool( * LSExtendedOptions::isLoggingEnabled) (struct LSExtendedOptions *self)

Definition at line 57 of file ExtendedOptions.h.

## ◆ enableVMDetection

void( * LSExtendedOptions::enableVMDetection) (struct LSExtendedOptions *self, bool enable)

Definition at line 59 of file ExtendedOptions.h.

## ◆ isVMDetectionEnabled

bool( * LSExtendedOptions::isVMDetectionEnabled) (struct LSExtendedOptions *self)

Definition at line 61 of file ExtendedOptions.h.

## ◆ enableGuardFile

void( * LSExtendedOptions::enableGuardFile) (struct LSExtendedOptions *self, bool enable)

Definition at line 63 of file ExtendedOptions.h.

## ◆ isGuardFileEnabled

bool( * LSExtendedOptions::isGuardFileEnabled) (struct LSExtendedOptions *self)

Definition at line 65 of file ExtendedOptions.h.

## ◆ enableSSLCheck

void( * LSExtendedOptions::enableSSLCheck) (struct LSExtendedOptions *self, bool enable)

Definition at line 67 of file ExtendedOptions.h.

## ◆ isSSLCheckEnabled

bool( * LSExtendedOptions::isSSLCheckEnabled) (struct LSExtendedOptions *self)

Definition at line 69 of file ExtendedOptions.h.

## ◆ setUseNativeTLS

void( * LSExtendedOptions::setUseNativeTLS) (struct LSExtendedOptions *self, bool enable)

Definition at line 71 of file ExtendedOptions.h.

## ◆ isNativeTLSEnabled

bool( * LSExtendedOptions::isNativeTLSEnabled) (struct LSExtendedOptions *self)

Definition at line 73 of file ExtendedOptions.h.

## ◆ setGracePeriod

void( * LSExtendedOptions::setGracePeriod) (struct LSExtendedOptions *self, uint32_t value)

Definition at line 75 of file ExtendedOptions.h.

## ◆ getGracePeriod

uint32_t( * LSExtendedOptions::getGracePeriod) (struct LSExtendedOptions *self)

Definition at line 77 of file ExtendedOptions.h.

## ◆ setNetworkTimeout

void( * LSExtendedOptions::setNetworkTimeout) (struct LSExtendedOptions *self, long timeout)

Definition at line 79 of file ExtendedOptions.h.

## ◆ getNetworkTimeout

long( * LSExtendedOptions::getNetworkTimeout) (struct LSExtendedOptions *self)

Definition at line 81 of file ExtendedOptions.h.

## ◆ setProxySettings

void( * LSExtendedOptions::setProxySettings) (struct LSExtendedOptions *self, const struct LSProxySettings *settings)

Definition at line 83 of file ExtendedOptions.h.

## ◆ getProxySettings

const struct LSProxySettings*( * LSExtendedOptions::getProxySettings) (struct LSExtendedOptions *self)

Definition at line 85 of file ExtendedOptions.h.

## ◆ setAlternateServiceURL

void( * LSExtendedOptions::setAlternateServiceURL) (struct LSExtendedOptions *self, const char *URL)

Definition at line 87 of file ExtendedOptions.h.

## ◆ getAlternateServiceURL

const char*( * LSExtendedOptions::getAlternateServiceURL) (struct LSExtendedOptions *self)

Definition at line 89 of file ExtendedOptions.h.

## ◆ setAlternateKey

void( * LSExtendedOptions::setAlternateKey) (struct LSExtendedOptions *self, const char *key)

Definition at line 91 of file ExtendedOptions.h.

## ◆ setAlternateKeyInt

void( * LSExtendedOptions::setAlternateKeyInt) (struct LSExtendedOptions *self, int32_t *key, int32_t size)

Definition at line 93 of file ExtendedOptions.h.

## ◆ getDeviceIdAlgorithm

enum DeviceIDAlgorithm( * LSExtendedOptions::getDeviceIdAlgorithm) (struct LSExtendedOptions *self)

Definition at line 95 of file ExtendedOptions.h.

## ◆ setDeviceIdAlgorithm

void( * LSExtendedOptions::setDeviceIdAlgorithm) (struct LSExtendedOptions *self, enum DeviceIDAlgorithm algorithm)

Definition at line 97 of file ExtendedOptions.h.

The documentation for this struct was generated from the following file:

- LicenseSpring/C-interface/ExtendedOptions.h